## com.sun.el.parser
Class AstNull

    java.lang.Object
      com.sun.el.lang.ELSupport
          com.sun.el.parser.SimpleNode
              com.sun.el.parser.AstNull

All Implemented Interfaces:
  Node

    public final class AstNull

extends SimpleNode

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary

Fields inherited from class com.sun.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstNull(int id)`

Method Summary
`Class` `getType(EvaluationContext ctx)`
`Object` `getValue(EvaluationContext ctx)`

Methods inherited from class com.sun.el.parser.SimpleNode
`accept, dump, equals, getImage, getMethodInfo, hashCode, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

Methods inherited from class com.sun.el.lang.ELSupport
`coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstNull

    public AstNull(int id)

Method Detail

### getType

    public Class getType(EvaluationContext ctx)
                  throws ELException

  Specified by:
    `getType` in interface `Node`
  Overrides:
    `getType` in class `SimpleNode`
  Throws:
    `ELException`

### getValue

    public Object getValue(EvaluationContext ctx)
                    throws ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `ELException`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.